OTPSms

Send SMS with an OTP code

This endpoint allows you to send an SMS with an OTP code to a given phone number. During send operation, template and OTP code format are determined from your OTP settings. Language and callback URL can be provided in request body, otherwise they are determined from OTP settings. If language is not set in request and settings, the default language is English. This endpoint can send a callback request to your API, for documentation refer to the Callback section.

POST
/api/v1/sms/otp/send

Header Parameters

Authorization*string

Your API token

Request Body

application/json

Send OTP parameters

Response Body

application/json

application/json

application/json

curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/sms/otp/send" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "code": 0,
  "data": {
    "creation_date": "string",
    "otp_code": "string",
    "send_request": {
      "callback_url": "string",
      "company": "string",
      "language": "string",
      "otp_code": "string",
      "phone_number": "string",
      "request_data_send_back": true
    },
    "status": "string"
  },
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.